/*!
	*Author: Mr.Almost
	*Author URI: http://www.ialmost.cn
	*Author QQ: 8759576
	*/

/*加入收藏代码 Start*/
function AddFavorite(sURL, sTitle) {
	try {
			window.external.addFavorite(sURL, sTitle);
	} catch (e) {
			try {
					window.sidebar.addPanel(sTitle, sURL, '');
			} catch (e) {
					alert('抱歉，您所使用的浏览器无法完成此操作。\n\n加入收藏失败，请使用Ctrl+D组合键手动进行添加');
			}
	}
}

/*焦点图*/
var iMax = 2;
var num = 0;
var timer = null;
var oBigLi = $("#bigUl li").get();
$("#small").css("width", $("#small li").length * 30).show();
tab();
$("#bigUl li:first").css({
	"opacity" : "1",
	"z-index" : "1"
});
$("#small li").each(function(i) {
	$(this).bind("mouseover", function() {
		if (num == i) {
			return
		}
		$("#small li").removeClass("active");
		$(this).addClass("active");
		$("#bigUl li").eq(i).css({
			"opacity" : "0",
			"z-index" : iMax + 1
		}).animate({
			opacity : 1
		}, 500);
		num = i;
		iMax++
	})
});
$("#turn").mouseover(function() {
	clearInterval(timer)
});
$("#turn").mouseout(function() {
	clearInterval(timer);
	tab()
});
function tab() {

	timer = setInterval(function() {
		num++;
		if (num >= $("#bigUl li").length) {
			num = 0
		}
		iMax++;
		$("#bigUl li").eq(num).css({
			"opacity" : 0,
			"z-index" : iMax
		}).animate({
			opacity : 1
		}, 800);
		$("#small li").removeClass("active");
		$("#small li").eq(num).addClass("active")
	}, 2400)
}

/*全部商品分类导航代码Start*/
$(function(){
	var scrollTop=0;
	var menuTop=0;
	var num=0;
	var iHeightb=0;
	var h=330;

	window.onresize=function(){
		menuTop=$(window).height()+scrollTop-h;
	}

	$('#nav li h3').mouseenter(function(mevent){

		scrollTop=$(window).scrollTop();
			menuTop=$(window).height()+scrollTop-h;

		var ev=mevent.currentTarget;

		var oTop=parseInt($(ev).position().top);
		$(this).addClass('cur');
		num=$('#nav li h3').index($(ev));
		$('.menulist').eq(num).show();
		var conH = $('.menulist').eq(num).find(".menucon").height();
		var imgH = $('.menulist').eq(num).find(".menuimg").height();
		$('.menulist').eq(num).css('height',conH + 15);
		/*右侧高度*/
		iHeightb = parseInt($('.menulist').eq(num).css('height'));
		if(menuTop<iHeightb+oTop)
		{
			oTop=menuTop-iHeightb;
			if(oTop<0)
			{
				oTop=0;
			}
		}
		$('.menulist').stop().animate({'top':oTop+'px'});
	})

	$('.menulist').mouseenter(function(){
		$('#nav li h3').eq(num).addClass('cur');
		$('.menulist').eq(num).show();
	});

	$('#nav li h3').mouseleave(function(mevent){
		$('.menulist').hide();
		$(this).removeClass('cur');
	})

	$('.menulist').mouseleave(function(){
		$('#nav li h3').removeClass('cur')
		$(this).hide();
	})
})
/*导航*/
var $category =$('.navmenu ul li:gt(12)');
$category.hide();
var $togglebtn = $('.navmenu a.sNext');
$togglebtn.toggle(function(){
		$category.show();
		$(this).addClass('active');
	},function(){
		$category.hide();
		$(this).removeClass('active');
});
/*优质商家*/
$(".goodtab h3").click(function(){
	if($(this).hasClass("on")){

	}else{
		$(".listwrap").hide();
		}
});
$(".goodsall").slide({
	titCell:".goodh h3",
	mainCell:".goodc",
	trigger:"click"
});
